<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    use WithoutModelEvents;

    public function run(): void
    {
        if (app()->isLocal()) {
            $this->call([
                RolePermissionSeeder::class,
                UserSeeder::class,
                EmployeeSeeder::class,
                SystemConfigurationSeeder::class,
                CashAccountSeeder::class,
                CategorySeeder::class,
            ]);
        }

        if (app()->isProduction() || app()->environment('staging')) {
            $this->call([
                RolePermissionSeeder::class,
                UserSeeder::class,
                SystemConfigurationSeeder::class,
                CashAccountSeeder::class,
            ]);
        }
    }
}
